Package org.drinkless.tdlib

# Class TdApi.PaymentReceiptTypeRegular

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PaymentReceiptType
org.drinkless.tdlib.TdApi.PaymentReceiptTypeRegular

Enclosing class:
  `TdApi`

public static class TdApi.PaymentReceiptTypeRegular extends TdApi.PaymentReceiptType
The payment was done using a third-party payment provider.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PaymentReceiptType

  `TdApi.PaymentReceiptType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `credentialsTitle`
  Title of the saved credentials chosen by the buyer.
  `TdApi.Invoice`
  `invoice`
  Information about the invoice.
  `TdApi.OrderInfo`
  `orderInfo`
  Order information; may be null.
  `long`
  `paymentProviderUserId`
  User identifier of the payment provider bot.
  `TdApi.ShippingOption`
  `shippingOption`
  Chosen shipping option; may be null.
  `long`
  `tipAmount`
  The amount of tip chosen by the buyer in the smallest units of the currency.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaymentReceiptTypeRegular()`
  The payment was done using a third-party payment provider.
  `PaymentReceiptTypeRegular(long paymentProviderUserId, TdApi.Invoice invoice, TdApi.OrderInfo orderInfo, TdApi.ShippingOption shippingOption, String credentialsTitle, long tipAmount)`
  The payment was done using a third-party payment provider.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### paymentProviderUserId

    public long paymentProviderUserId
    User identifier of the payment provider bot.

  - ### invoice

    public TdApi.Invoice invoice
    Information about the invoice.

  - ### orderInfo

    @Nullable public TdApi.OrderInfo orderInfo
    Order information; may be null.

  - ### shippingOption

    @Nullable public TdApi.ShippingOption shippingOption
    Chosen shipping option; may be null.

  - ### credentialsTitle

    public String credentialsTitle
    Title of the saved credentials chosen by the buyer.

  - ### tipAmount

    public long tipAmount
    The amount of tip chosen by the buyer in the smallest units of the currency.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PaymentReceiptTypeRegular

    public PaymentReceiptTypeRegular()
    The payment was done using a third-party payment provider.

  - ### PaymentReceiptTypeRegular

    public PaymentReceiptTypeRegular(long paymentProviderUserId, TdApi.Invoice invoice, TdApi.OrderInfo orderInfo, TdApi.ShippingOption shippingOption, String credentialsTitle, long tipAmount)
    The payment was done using a third-party payment provider.
    Parameters:
      `paymentProviderUserId` - User identifier of the payment provider bot.
      `invoice` - Information about the invoice.
      `orderInfo` - Order information; may be null.
      `shippingOption` - Chosen shipping option; may be null.
      `credentialsTitle` - Title of the saved credentials chosen by the buyer.
      `tipAmount` - The amount of tip chosen by the buyer in the smallest units of the currency.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PaymentReceiptType`
    Returns:
      this.CONSTRUCTOR